Bug 37217 - APA1480 PCMCIA SCSI adapter does not work
APA1480 PCMCIA SCSI adapter does not work
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-04-23 12:25 EDT by Alfredo Ferrari
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-27 01:00:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alfredo Ferrari 2001-04-23 12:25:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.16-3smp i686)

The APA1480 PCMCIA SCSI adapter is recognized but no module is apparently
available to get it working. *BIG STEP BACK* wrt previous RedHat
distributions, the new kernel based pcmcia stuff really sucks...

Reproducible: Always
Steps to Reproduce:
1.Boot the machine with an APA1480 (APA1480A in my case) PCMCIA card in
2.The card is recognized, the kernel looks for the driver apa1480_... and
does not find it
3.all external SCSI hardware does not work of course

Actual Results:  The card is not configured

Expected Results:  The card was used to work flawlessly at least since

The new kernel based PCMCIA drivers recognize the APA1480 but there is no
module for it (the kernel looks for apa1480_cb). This is the remaining part
of bug 30167 for Wolverine. This is really *BAD* since it prevents the use
of all SCSI hardware on Laptops with these cards (which are among the few
ones available SCSI Pcmcia cards) and it is a huge step back wrt previous
RedHat releases.
I know all polemics about the new PCMCIA stuff and I am puzzled RH is
delivering it despite it still has vastly less hardware supported that the
"old" external ones by D. Hinds. This is exactly the way to make people go
away from Linux. They had a working system and now suddendly they cannot
longer use the two external SCSI HD the SCSI dc-writer and the SCSI MO
drive (this is my case). If they are brave enough they make some patch work
on the RH kernel with the help of D. Hinds and they get the "old" PCMCIA
stuff working again (I did...)

What is puzzling me is that during installation, anaconda was perfectly
able to configure my APA1480 loading among others aic7xxx and that with
Ctrl+Alt+f1 going to console mode I was even able to mount my SCSI
partitions on /mnt/sysimage/dev/sda... and look at them. 

a) is APA1480(A) support really missing or it is just a matter
    to correct the modules loaded by cardmgr?
b) if the answer to a) is "yes it is still missing", when does RH plan to
bring the new kernel PCMCIA drivers *AT LEAST* at the level of the previous
ones?? Again, I stress it is a shame that the hardware supported is
shrinking rather than the opposite, particularly in a field where not
supporting a card means not supporting all drivers attached to it as well.
Comment 1 Arjan van de Ven 2001-04-23 13:17:38 EDT
DHind's PCMCIA package doesn't work as well as the stock 2.4 code.

In your case, it sounds like a config file bug; the apa1480_cb driver 
is not there as the functionality is provided by aic7xxx_mod.o and the
intervention of cardmgr is NOT needed at all. (in fact, it breaks if you use it)

Could you please try disabling cardmgr (with a killall cardmgr for all I care)
and then "modprobe aic7xxx_mod" ?
Comment 2 Arjan van de Ven 2001-04-23 13:24:50 EDT
I should clarify that. DHind's package only works well if you use it fully.
As more and more cardbus drivers are written for native code, and native code
has the same drivers (yes it has) using the native code is better for the
long-term while getting the same support right now.
Comment 3 Alfredo Ferrari 2001-04-23 17:28:50 EDT
Thanks for the explaination! I was hoping in something similar. I'll make the
test you suggest and let you know (but tomorrow european time. It's almost
midnight and I have to (re)install the original RH7.1 kernel to do it, I am
running one modified with the external PCMCIA drivers, alltogether as you
correctly pointed out).

Perhaps some hints for the users (and maybe a fix in kernel-pcmcia-cs) would
help a lot in getting people acquainted with the new pcmcia drivers with this
and maybe other cards. Looking on the supported hardware pages for apa1480 on
the RH sites gives it as "community knowledge" and suggest to use qlogic_cs
which I think does not make sense. A fix for the cardmgr config can help also
because it is not easy to guess all ancillary drivers required for getting
the card work. When anaconda got it working, lsmod gave:
vfat                    8784   0
msdos                   5136   0 (unused)
fat                    31840   0 [vfat msdos]
raid5                  16816   0 (unused)
xor                     6096   0 [raid5]
raid1                  12448   0 (unused)
raid0                   3632   0 (unused)
aic7xxx               107536   2
cb_enabler              2560   0 (unused)
ds                      6896   0 [cb_enabler]
yenta_socket            9200   2
pcmcia_core            39680   0 [cb_enabler ds yenta_socket]
keybdev                 1968   0 (unused)
hid                    11168   0 (unused)
input                   3264   0 [keybdev hid]
usb-uhci               19856   0 (unused)
usbcore                48032   1 [hid usb-uhci]
sr_mod                 14144   0 (unused)
sd_mod                 10912   2
scsi_mod               55680   3 [aic7xxx sr_mod sd_mod]
ide-cd                 26368   0
cdrom                  28288   0 [sr_mod ide-cd]

I do not know which ones (cb_enabler?) are really needed or not.
Comment 4 Arjan van de Ven 2001-04-23 17:34:52 EDT
cb_enabler isn't need for "new style" cardbus cards
aic7xxx_mod is new-style.
Once you verify/confirm the aic7xxx_mod works, I'll get the kernel-pcmcia-cs
package fixed.

------ UK time ------ :)
Comment 5 Alfredo Ferrari 2001-04-24 15:37:16 EDT

I booted under kernel-2.4.2-2 with the RH7.1 kernel-pcmcia-cs. After the failure
to find apa1480_cb I manually modprobed aic7xxx_mod ===> I can see my external
SCSI hard drives, MO optical drive and cd-writer with no problem. I made a
couple of fsck, measured the speed with hdparm (same as for the "old" drivers as
expected) etc. It seems everything is working fine. Of course since it was done
manually, the system does not react properly to a card removal or pcmcia
shutdown, I was able to oops the machine twice doing these things but I assume
they will get fixed as soon as the insertion will go thru the cardmgr or
whatever else.

So thanks a lot, and I am eagerly waiting for a patched kernel-pcmcia-cs package
which deals correctly also with card swapping etc. If you need further tests let
me know.
Comment 6 Bill Nottingham 2001-04-27 01:00:32 EDT
You should be able to get this working OK in the current setup just
by editing /etc/pcmcia/config and change all occurences of
apa1480_cb to aic7xxx_mod.
Comment 7 Bill Nottingham 2001-04-27 16:56:39 EDT
This change is in kernel-pcmcia-cs-3.1.24-3, which should be in the next
rawhide release.

Note You need to log in before you can comment on or make changes to this bug.